BooleanConsumer (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.function, interface: BooleanConsumer

Package org.apache.commons.lang3.function

# Interface BooleanConsumer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BooleanConsumer
A functional interface like `IntConsumer` but for `boolean`.

Since:
  3.13.0
See Also:
  - `IntConsumer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final BooleanConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(boolean value)`
  Accepts the given arguments.
  `default BooleanConsumer`
  `andThen(BooleanConsumer after)`
  Returns a composed `BooleanConsumer` that performs, in sequence, this operation followed by the `after` operation.
  `static BooleanConsumer`
  `nop()`
  Returns The NOP singleton.

- ## Field Details

  - ### NOP

    static final BooleanConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static BooleanConsumer nop()
    Returns The NOP singleton.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(boolean value)
    Accepts the given arguments.
    Parameters:
      `value` - the input argument

  - ### andThen

    default BooleanConsumer andThen(BooleanConsumer after)
    Returns a composed `BooleanConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
    Parameters:
      `after` - the operation to perform after this operation
    Returns:
      a composed `BooleanConsumer` that performs in sequence this operation followed by the `after` operation
    Throws:
      `NullPointerException` - if `after` is null